ManagementSoftwareSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.ManagementSoftwareSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface ManagementSoftwareSystem

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

    public interface ManagementSoftwareSystem

extends ManagedElement

MSS

Naming Rules:
  0="MSSName" 1="manufacturerName,productName,hostname,-subcomponent,-subcomponentInstanceName" 2="manufacturerName,productName,hostname,subcomponent,subcomponentInstanceName" *
Persistable:
  true
Table Name:
  MSS
Display Name:
  MSSName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`MSSAccessInfo[]` | `getAccessInfos()` By supplying a table name here, we are saying don't delete the information from this table during a clear topology operation.
`Agent[]` | `getAgents()`
`Agent[]` | `getAgentsInUse()`
`Capability[]` | `getCapabilities()`
`java.lang.String` | `getEmail()` Deprecated.
`java.lang.String` | `getFax()` Deprecated.
`java.lang.String` | `getHostname()` name of the host of the management software system
`java.lang.String` | `getManufacturerName()` name of the manufacturer of the management software system
`Agent` | `getMasterAgent()`
`java.lang.String` | `getMobilePhone()` Deprecated.
`java.lang.String` | `getMSSName()`
`java.lang.String` | `getName()` Deprecated.
`java.lang.String` | `getNote()` Deprecated.
`java.lang.String` | `getPager()` Deprecated.
`java.lang.String` | `getProductName()` name of the product of the management software system
`java.lang.String` | `getProductVersion()` version of the management software system
`java.lang.String` | `getProfile()`
`java.lang.String` | `getSubcomponent()` name of the MSS subcomponent identifier
`java.lang.String` | `getSubcomponentInstanceName()` name of the MSS subcomponent instance
`ManagementSoftwareSystem[]` | `getSubsystems()` See comments on accessinfo about why this table name is supplied here.
`java.lang.String` | `getTitle()` Deprecated.
`int` | `getType()` Deprecated.
`java.lang.String` | `getURL()` Deprecated.
`java.lang.String` | `getWorkPhone()` Deprecated.
`boolean` | `hasAccessInfos()`
`boolean` | `hasAgents()`
`boolean` | `hasAgentsInUse()`
`boolean` | `hasCapabilities()`
`boolean` | `hasEmail()`
`boolean` | `hasFax()`
`boolean` | `hasHostname()`
`boolean` | `hasManufacturerName()`
`boolean` | `hasMasterAgent()`
`boolean` | `hasMobilePhone()`
`boolean` | `hasMSSName()`
`boolean` | `hasName()`
`boolean` | `hasNote()`
`boolean` | `hasPager()`
`boolean` | `hasProductName()`
`boolean` | `hasProductVersion()`
`boolean` | `hasProfile()`
`boolean` | `hasSubcomponent()`
`boolean` | `hasSubcomponentInstanceName()`
`boolean` | `hasSubsystems()`
`boolean` | `hasTitle()`
`boolean` | `hasType()`
`boolean` | `hasURL()`
`boolean` | `hasWorkPhone()`
`void` | `setAccessInfos(MSSAccessInfo[] infos)`
`void` | `setAgents(Agent[] x)`
`void` | `setAgentsInUse(Agent[] x)`
`void` | `setCapabilities(Capability[] caps)`
`void` | `setEmail(java.lang.String x)`
`void` | `setFax(java.lang.String x)`
`void` | `setHostname(java.lang.String name)`
`void` | `setManufacturerName(java.lang.String name)`
`void` | `setMasterAgent(Agent x)`
`void` | `setMobilePhone(java.lang.String x)`
`void` | `setMSSName(java.lang.String name)`
`void` | `setName(java.lang.String x)`
`void` | `setNote(java.lang.String x)`
`void` | `setPager(java.lang.String x)`
`void` | `setProductName(java.lang.String name)`
`void` | `setProductVersion(java.lang.String version)`
`void` | `setProfile(java.lang.String name)`
`void` | `setSubcomponent(java.lang.String name)`
`void` | `setSubcomponentInstanceName(java.lang.String name)`
`void` | `setSubsystems(ManagementSoftwareSystem[] systems)`
`void` | `setTitle(java.lang.String x)`
`void` | `setType(int x)`
`void` | `setURL(java.lang.String x)`
`void` | `setWorkPhone(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getAgents

    Agent[] getAgents()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setAgents

    void setAgents(Agent[] x)

### hasAgents

    boolean hasAgents()

### getMasterAgent

    Agent getMasterAgent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="false"

### setMasterAgent

    void setMasterAgent(Agent x)

### hasMasterAgent

    boolean hasMasterAgent()

### getAgentsInUse

    Agent[] getAgentsInUse()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setAgentsInUse

    void setAgentsInUse(Agent[] x)

### hasAgentsInUse

    boolean hasAgentsInUse()

### getMSSName

    java.lang.String getMSSName()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMSSName

    void setMSSName(java.lang.String name)

### hasMSSName

    boolean hasMSSName()

### getManufacturerName

    java.lang.String getManufacturerName()
                                         throws AttributeNotSetException

  name of the manufacturer of the management software system

  Throws:
    `AttributeNotSetException`

### setManufacturerName

    void setManufacturerName(java.lang.String name)

### hasManufacturerName

    boolean hasManufacturerName()

### getProductName

    java.lang.String getProductName()
                                    throws AttributeNotSetException

  name of the product of the management software system

  Throws:
    `AttributeNotSetException`

### setProductName

    void setProductName(java.lang.String name)

### hasProductName

    boolean hasProductName()

### getProductVersion

    java.lang.String getProductVersion()
                                       throws AttributeNotSetException

  version of the management software system

  Throws:
    `AttributeNotSetException`

### setProductVersion

    void setProductVersion(java.lang.String version)

### hasProductVersion

    boolean hasProductVersion()

### getHostname

    java.lang.String getHostname()
                                 throws AttributeNotSetException

  name of the host of the management software system

  Throws:
    `AttributeNotSetException`

### setHostname

    void setHostname(java.lang.String name)

### hasHostname

    boolean hasHostname()

### getSubcomponent

    java.lang.String getSubcomponent()
                                     throws AttributeNotSetException

  name of the MSS subcomponent identifier

  Throws:
    `AttributeNotSetException`

### setSubcomponent

    void setSubcomponent(java.lang.String name)

### hasSubcomponent

    boolean hasSubcomponent()

### getSubcomponentInstanceName

    java.lang.String getSubcomponentInstanceName()
                                                 throws AttributeNotSetException

  name of the MSS subcomponent instance

  Throws:
    `AttributeNotSetException`

### setSubcomponentInstanceName

    void setSubcomponentInstanceName(java.lang.String name)

### hasSubcomponentInstanceName

    boolean hasSubcomponentInstanceName()

### getProfile

    java.lang.String getProfile()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProfile

    void setProfile(java.lang.String name)

### hasProfile

    boolean hasProfile()

### getSubsystems

    ManagementSoftwareSystem[] getSubsystems()
                                             throws AttributeNotSetException

  See comments on accessinfo about why this table name is supplied here. It prevents this table from being cleared during a clear topology.

  Throws:
    `AttributeNotSetException`
  Table Name:
    MANAGEMENTSOTEMS_93B028F8X
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setSubsystems

    void setSubsystems(ManagementSoftwareSystem[] systems)

### hasSubsystems

    boolean hasSubsystems()

### getAccessInfos

    MSSAccessInfo[] getAccessInfos()
                                   throws AttributeNotSetException

  By supplying a table name here, we are saying don't delete the information from this table during a clear topology operation. It goes along with the don't delete tag on this class at the very top. This means a clear topology will not delete an MSS nor this link table.

  Throws:
    `AttributeNotSetException`
  Table Name:
    MANAGEMENTSONFOS_224BA1X
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="false"
  Containment Relationship:
    true

### setAccessInfos

    void setAccessInfos(MSSAccessInfo[] infos)

### hasAccessInfos

    boolean hasAccessInfos()

### getCapabilities

    Capability[] getCapabilities()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCapabilities

    void setCapabilities(Capability[] caps)

### hasCapabilities

    boolean hasCapabilities()

### getMobilePhone

    java.lang.String getMobilePhone()
                                    throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setMobilePhone

    void setMobilePhone(java.lang.String x)

### hasMobilePhone

    boolean hasMobilePhone()

### getNote

    java.lang.String getNote()
                             throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setNote

    void setNote(java.lang.String x)

### hasNote

    boolean hasNote()

### getFax

    java.lang.String getFax()
                            throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setFax

    void setFax(java.lang.String x)

### hasFax

    boolean hasFax()

### getType

    int getType()
                throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int x)

### hasType

    boolean hasType()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getEmail

    java.lang.String getEmail()
                              throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setEmail

    void setEmail(java.lang.String x)

### hasEmail

    boolean hasEmail()

### getTitle

    java.lang.String getTitle()
                              throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setTitle

    void setTitle(java.lang.String x)

### hasTitle

    boolean hasTitle()

### getWorkPhone

    java.lang.String getWorkPhone()
                                  throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setWorkPhone

    void setWorkPhone(java.lang.String x)

### hasWorkPhone

    boolean hasWorkPhone()

### getPager

    java.lang.String getPager()
                              throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setPager

    void setPager(java.lang.String x)

### hasPager

    boolean hasPager()

### getURL

    java.lang.String getURL()
                            throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setURL

    void setURL(java.lang.String x)

### hasURL

    boolean hasURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD